Subject: Re: [E1000-devel] [PATCH 2/4] [RFC] e1000: make ioport free for supported devices

From: "Kok, Auke" <[email-masked]>
Date: Thu, 06 Mar 2008 11:35:17 -0800

Jeff Garzik wrote:
> Auke Kok wrote:
>> From: Tomohiro Kusumi <[email-masked]>
>>
>> Most e1000 devices do not need ioport access to function properly.
>> This is desirable for a few massive homed systems where ioport
>> resources become constrained.
>>
>> This patch is based on the code from Tomohiro Kusumi, heavily
>> modified to fit PCI API changes and e1000 driver changes.
>>
>> Signed-off-by: Tomohiro Kusumi <[email-masked]>
>> Signed-off-by: Auke Kok <[email-masked]>
> 
> I don't think you need pci_select_bars()?  It should just be 
> pci_enable_device_mem() in both paths AFAICS...

honestly I don't know :) - I'll look into it. if that's the case then the patch
will change significantly.

thanks,

Auke